Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.spi.subscriberdata.sla
Class ServiceClassType

    java.lang.Object
      com.bea.wlcp.wlng.spi.subscriberdata.sla.ServiceClassType

public class ServiceClassType
extends Object

Java class for serviceClassType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="serviceClassType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="references" type="{http://www.bea.com/wlcp/wlng/spi/subscriberdata/sla}referenceGroupType"/>
             <choice>
               <element name="restriction" type="{http://www.bea.com/wlcp/wlng/spi/subscriberdata/sla}restrictionType"/>
               <element name="restrictAll" type="{http://www.bea.com/wlcp/wlng/spi/subscriberdata/sla}restrictAllType"/>
             </choice>
           </sequence>
           <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

  Copyright © 2008 Oracle Corporation Systems, Inc. All Rights Reserved.

Field Summary
`protected String` | `name`
`protected ReferenceGroupType` | `references`
`protected RestrictAllType` | `restrictAll`
`protected RestrictionType` | `restriction`

Method Summary
`String` | `getName()`
`ReferenceGroupType` | `getReferences()`
`RestrictAllType` | `getRestrictAll()`
`RestrictionType` | `getRestriction()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected String name

### references

    protected ReferenceGroupType references

### restrictAll

    protected RestrictAllType restrictAll

### restriction

    protected RestrictionType restriction

Method Detail

### getName

    public String getName()

### getReferences

    public ReferenceGroupType getReferences()

### getRestrictAll

    public RestrictAllType getRestrictAll()

### getRestriction

    public RestrictionType getRestriction()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD